/***** INICIALES *****/
let dropdownlist_click = [false,false];
let datalist_click = [false];
$('.datepicker').MonthPicker({ Button: false, MaxMonth: 0 });
loadPestana();
$('button[data-toggle="tab"].tabs').on('shown.bs.tab', function (event) {
   loadPestana(); 
});
function loadPestana(){
    let seccion = $('.nav-link.tabs.active').data('seccion');
    let action = '';
    let nav = '';
    switch(seccion){
        case 1: action = 'action/historial_action.php'; nav = 'Historial'; break;
        case 2: action = 'action/idioma_action.php'; nav = 'Idiomas'; break;
        case 3: action = 'action/habilidad_action.php'; nav = 'Habilidades'; break;
    }
    $.ajax({
        url: action,
        type: 'POST', 
        dataType: 'json',
        data: { tipo: 1 },
        success: function(result) {
            if(result['error']!= '' &&  result['error'] !== undefined){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                $('.msg1').text('¡Error!');
                $('.msg2').html(result['error']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
            } else {
                $('#nav' + nav).find('.contenido').html(result['html']);
                $('.ing-editar').click(editarDatos);
                $('.ing-basura').click(eliminarDatos);
            }
        },
        error: function(jqXHR, textStatus, errorThrown ){
            $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
            $('.msg1').text('¡Lo sentimos!');
            $('.msg2').text('Se presentó un error inesperado al momento de cargar la pestaña');
            $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('#modalAviso').modal('show');
        }
    });
}

/***** AGREGAR | EDITAR *****/
$('#btnHistorial').click(function(){
    $('#modalHistorial').find('.modal-title').text('Nuevo Registro Académico');
    $('#btnOkHistorial').data('tipo', '2');
    $('#btnOkHistorial').data('id', '0');
    $('.estudio').hide();
    $('.institucion').hide();
    $('.estatus').hide();
    $('.alert').hide();
    $('.periodo').hide();
    $('.cedula').hide();
    $('#modalHistorial').modal('show');
});
$('#modalHistorial').on('hidden.bs.modal', function(){
    $('#modalHistorial').find('.is-invalid').removeClass('is-invalid');
    $('#ddlTipoEstudio').children('.d-flex').children('label').text('Elige el tipo de estudio');
    $('#modalHistorial').find('input').val('');
    $('#modalHistorial').find('li').removeClass('active');
    $('#ddlTipoEstudio').data('id','0');
    $('#ddlEstatus').data('id','0');
});
$('#inputFechaFin').change(function(){
    var sStart = $(this).siblings('input').val().split('/');
    var sEnd = $(this).val().split('/');
    var dtStart = new Date(parseInt(sStart[1]),parseInt(sStart[0])-1,1);
    var dtEnd = new Date(parseInt(sEnd[1]),parseInt(sEnd[0])-1,1);
    if ((dtEnd < dtStart) && $('#ddlEstatus').data('id') != 1){
        $('.alert').show();
        $(this).val('');
    }
    else
        $('.alert').hide();
});
$('#btnIdioma').click(function(){
    $('#modalIdioma').find('.modal-title').text('Nuevo Idioma');
    $('#btnOkIdioma').data('tipo', '2');
    $('#btnOkIdioma').data('id', '0');
    $('#modalIdioma').modal('show');
});
$('#modalIdioma').on('hidden.bs.modal', function(){
    $('#modalIdioma').find('.is-invalid').removeClass('is-invalid');
    $('#inputIdioma').val('');
    if($(this).find('input[type="radio"]').length > 0)
        $(this).find('input[type="radio"]').prop('checked', false);
    
});
$('#btnHabilidad').click(function(){
    $('#modalHabilidad').find('.modal-title').text('Nueva Habilidad Técnica');
    $('#btnOkHabilidad').data('tipo', '2');
    $('#btnOkHabilidad').data('id', '0');
    $('#modalHabilidad').modal('show');
});
$('#modalHabilidad').on('hidden.bs.modal', function(){
    $('#modalHabilidad').find('.is-invalid').removeClass('is-invalid');
    $('#inputHabilidad').val('');
    if($(this).find('input[type="radio"]').length > 0)
        $(this).find('input[type="radio"]').prop('checked', false);
});
function editarDatos(){
    let id = $(this).data('id');
    let seccion = $('.nav-link.tabs.active').data('seccion');
    let action = '';
    let nav = '';
    switch(seccion){
        case 1: action = 'action/historial_action.php'; nav = 'Historial'; break;
        case 2: action = 'action/idioma_action.php'; nav = 'Idioma'; break;
        case 3: action = 'action/habilidad_action.php'; nav = 'Habilidad'; break;
    }
    $.ajax({
        url: action,
        type: 'POST', 
        dataType: 'json',
        data: { tipo: 5, id: id },
        success: function(result) {
            if(result['error']!= '' &&  result['error'] !== undefined){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                $('.msg1').text('¡Error!');
                $('.msg2').html(result['error']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
            } else {
                switch(seccion){
                    case 1:
                        $('#ddlTipoEstudio ul li[data-id="' + result['tipo_estudio'] + '"]').addClass('active');
                        $('#ddlTipoEstudio').data('id', result['tipo_estudio']);
                        $('#ddlTipoEstudio').children('div').children('label').text($('#ddlTipoEstudio ul li[data-id="' + result['tipo_estudio'] + '"]').text());
                        muestraDatosEstudio(parseInt(result['tipo_estudio']), $('#ddlTipoEstudio ul li[data-id="' + result['tipo_estudio'] + '"]').text(), $('#ddlTipoEstudio ul li[data-id="' + result['tipo_estudio'] + '"]').data('dato'));
                        $('#inputEstudio').val(result['estudio']);
                        $('#inputInstitucion').val(result['institucion']);
                        $('#ddlEstatus ul li[data-id="' + result['estatus'] + '"]').addClass('active');
                        $('#ddlEstatus').data('id', result['estatus']);
                        $('#ddlEstatus').children('div').children('label').text($('#ddlEstatus ul li[data-id="' + result['estatus'] + '"]').text());
                        muestraDatosEstatus(parseInt(result['estatus']));
                        $('#inputFechaInicio').val(result['fecha_inicio']);
                        $('#inputFechaFin').val(result['fecha_fin']);
                        $('#inputCedula').val(result['cedula']);
                        break;
                    case 2:
                        $('#inputIdioma').val(result['idioma']);
                        $('#idioma' + result['nivel']).prop('checked', true);
                        break;
                    case 3:
                        $('#inputHabilidad').val(result['habilidad']);
                        $('#habilidad' + result['nivel']).prop('checked', true);
                        break;
                }
                $('#btnOk' + nav).data('tipo','3');
                $('#btnOk' + nav).data('id', id);
                $('#modal' + nav).modal('show');
            }
        },
        error: function(jqXHR, textStatus, errorThrown ){
            $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
            $('.msg1').text('¡Lo sentimos!');
            $('.msg2').text('Se presentó un error inesperado al momento de cargar la pestaña');
            $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('#modalAviso').modal('show');
        }
    });
}
function historialValido(){
    let valido = true;
    if ($('#ddlTipoEstudio').data('id') != 0) {
        $('#ddlTipoEstudio').children('div').removeClass('is-invalid');
        if ($('#inputEstudio').val() == ''){
            valido = false;
            $('#inputEstudio').addClass('is-invalid');
        } else {
            $('#inputEstudio').removeClass('is-invalid');
        }
        if ($('#inputInstitucion').val() == ''){
            valido = false;
            $('#inputInstitucion').addClass('is-invalid');
        } else {
            $('#inputInstitucion').removeClass('is-invalid');
        }
        if ($('#ddlEstatus').data('id') != 0) {
            $('#ddlEstatus').children('div').removeClass('is-invalid');
            if ($('#inputFechaInicio').val() == ''){
                $('#inputFechaInicio').addClass('is-invalid');
                valido = false;
            } else{
                $('#inputFechaInicio').removeClass('is-invalid');
            }
            if (parseInt($('#ddlEstatus').data('id')) > 1){
                if ($('#inputFechaFin').val() == ''){
                    $('#inputFechaFin').addClass('is-invalid');
                    valido = false;
                } else{
                    $('#inputFechaFin').removeClass('is-invalid');
                }
                if (parseInt($('#ddlEstatus').data('id')) == 3 && $('#inputCedula').val() == ''){
                    $('#inputCedula').addClass('is-invalid');
                    valido = false;
                } else {
                    $('#inputCedula').removeClass('is-invalid');
                }
            }
        } else {
            $('#ddlEstatus').children('div').addClass('is-invalid');
            valido = false;
        }
    } else {
        valido = false;
        $('#ddlTipoEstudio').children('div').addClass('is-invalid');
    }
    return valido;
}
$('#btnOkHistorial').click(function(){    
    if (historialValido()){        
        $('#modalHistorial').modal('hide');
        $.ajax({
            url:  'action/historial_action.php',
            type: 'POST', 
            dataType: 'json',
            data: { 
                tipo: $(this).data('tipo'), 
                id: $(this).data('id'),
                tipo_estudio: $('#ddlTipoEstudio').data('id'),
                estudio: $('#inputEstudio').val(),
                institucion: $('#inputInstitucion').val(),
                estatus: $('#ddlEstatus').data('id'),
                fecha_ini: $('#inputFechaInicio').val(),
                fecha_fin: $('#inputFechaFin').val(),
                cedula: $('#inputCedula').val()
                /*agregar datos*/
            },
            success: function(result) {
                if(result['error']!= '' &&  result['error'] !== undefined){
                    $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                    $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                    $('.msg1').text('¡Error!');
                    $('.msg2').html(result['error']);
                    $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                } else {
                    $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                    $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-aceptar');
                    $('.msg1').text('¡Felicidades!');
                    $('.msg2').html(result['ok']);
                    $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                    loadPestana();
                }            
                $('#modalAviso').modal('show');
            },
            error: function(jqXHR, textStatus, errorThrown ){                
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
                $('.msg1').text('¡Lo sentimos!');
                if ($(this).data('tipo') == '2')
                    $('.msg2').text('Se presentó un error inesperado al momento de agregar el registro en el historial');
                else
                    $('.msg2').text('Se presentó un error inesperado al momento de actualizar el registro en el historial');
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('#modalAviso').modal('show');
            }
        });
    }
});
$('#btnOkIdioma').click(function(){    
    if ($('#inputIdioma').val() != '' && $('input[name="nivelIdioma"]:checked').length == 1){
        $('#modalIdioma').modal('hide');
        $.ajax({
            url:  'action/idioma_action.php',
            type: 'POST', 
            dataType: 'json',
            data: { 
                tipo: $(this).data('tipo'), 
                id: $(this).data('id'), 
                idioma: $('#inputIdioma').val(), 
                nivel: $('input[name="nivelIdioma"]:checked').val() 
            },
            success: function(result) {
                if(result['error']!= '' &&  result['error'] !== undefined){
                    $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                    $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                    $('.msg1').text('¡Error!');
                    $('.msg2').html(result['error']);
                    $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                } else {
                    $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                    $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-aceptar');
                    $('.msg1').text('¡Felicidades!');
                    $('.msg2').html(result['ok']);
                    $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                    loadPestana();
                }            
                $('#modalAviso').modal('show');
            },
            error: function(jqXHR, textStatus, errorThrown ){                
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
                $('.msg1').text('¡Lo sentimos!');
                if ($(this).data('tipo') == '2')
                    $('.msg2').text('Se presentó un error inesperado al momento de agregar el nuevo idioma');
                else
                    $('.msg2').text('Se presentó un error inesperado al momento de actualizar el nuevo idioma');
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('#modalAviso').modal('show');
            }
        });
    } else {
        if ($('#inputIdioma').val() == '')
            $('#inputIdioma').addClass('is-invalid');
        else
            $('#inputIdioma').removeClass('is-invalid');
        if ($('input[name="nivelIdioma"]:checked').length < 1)
            $('#idioma3').parent().parent().addClass('is-invalid');
        else
            $('#idioma3').parent().parent().removeClass('is-invalid');
    }
});
$('#btnOkHabilidad').click(function(){
    if ($('#inputHabilidad').val() != '' && $('input[name="nivelHabilidad"]:checked').length == 1){
        $('#modalHabilidad').modal('hide');
        $.ajax({
            url:  'action/habilidad_action.php',
            type: 'POST', 
            dataType: 'json',
            data: { 
                tipo: $(this).data('tipo'), 
                id: $(this).data('id'), 
                habilidad: $('#inputHabilidad').val(), 
                nivel: $('input[name="nivelHabilidad"]:checked').val() 
            },
            success: function(result) {
                if(result['error']!= '' &&  result['error'] !== undefined){
                    $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                    $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                    $('.msg1').text('¡Error!');
                    $('.msg2').html(result['error']);
                    $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                } else {
                    $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                    $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-aceptar');
                    $('.msg1').text('¡Felicidades!');
                    $('.msg2').html(result['ok']);
                    $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                    loadPestana();
                }            
                $('#modalAviso').modal('show');
            },
            error: function(jqXHR, textStatus, errorThrown ){                
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
                $('.msg1').text('¡Lo sentimos!');
                if ($(this).data('tipo') == '2')
                    $('.msg2').text('Se presentó un error inesperado al momento de agregar la nueva habilidad');
                else
                    $('.msg2').text('Se presentó un error inesperado al momento de actualizar la nueva habilidad');
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('#modalAviso').modal('show');
            }
        });
    } else {
        if ($('#inputHabilidad').val() == '')
            $('#inputHabilidad').addClass('is-invalid');
        else
            $('#inputHabilidad').removeClass('is-invalid');
        if ($('input[name="nivelHabilidad"]:checked').length < 1)
            $('#habilidad3').parent().parent().addClass('is-invalid');
        else
            $('#habilidad3').parent().parent().removeClass('is-invalid');
    }
});

/***** ELIMINAR *****/
function eliminarDatos(){
    let tipo = '';
    let texto = '';
    switch($('.nav-link.tabs.active').data('seccion')){
        case 1: tipo = 'el registro del historial '; texto = $(this).parent().parent().siblings('div.display-6').text(); break;
        case 2: tipo = 'el idioma '; texto = $(this).parent().siblings('div.display-6').text(); break;
        case 3: tipo = 'la habilidad '; texto = $(this).parent().siblings('div.display-6').text(); break;
    }
    $('#modalEliminar').children().children().children('div.modal-body').html('¿Estás seguro de querer eliminar ' + tipo + '<span class="text-azul1">' + texto + '</span>?');
    $('#btnOkEliminar').data('id',$(this).data('id'));
    $('#modalEliminar').modal('show'); 
}
$('#btnOkEliminar').click(function(){
    let id = $(this).data('id');
    let texto = '';
    let action = '';
    switch($('.nav-link.tabs.active').data('seccion')){
        case 1: action = 'action/historial_action.php'; texto = 'el registro '; break;
        case 2: action = 'action/idioma_action.php'; texto = 'el idioma '; break;
        case 3: action = 'action/habilidad_action.php'; texto = 'la habilidad'; break;
    }
    $('#modalEliminar').modal('hide');
    $.ajax({
        url:  action,
        type: 'POST', 
        dataType: 'json',
        data: { tipo: 4, id: $(this).data('id') },
        success: function(result) {
            if(result['error']!= '' &&  result['error'] !== undefined){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                $('.msg1').text('¡Error!');
                $('.msg2').html(result['error'] + '<span class="text-azul1">' + $('#modalEliminar').children().children().children('div.modal-body').children('span').text() + '</span>');
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
            } else {
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-aceptar');
                $('.msg1').text('¡Felicidades!');
                $('.msg2').html(result['ok'] + '<span class="text-azul1">' + $('#modalEliminar').children().children().children('div.modal-body').children('span').text() + '</span>');
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                loadPestana();
            }
            $('#modalAviso').modal('show');
        },
        error: function(jqXHR, textStatus, errorThrown ){
            $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
            $('.msg1').text('¡Lo sentimos!');
            $('.msg2').text('Se presentó un error inesperado al momento de eliminar ' + texto + $('#modalEliminar').children().children().children('div.modal-body').children('span').text());
            $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('#modalAviso').modal('show');
        }
    });
});

/******************** DROPDOWNLIST *************************/
$('#btnTipoEstudio').click({elem: 'TipoEstudio'},clickDropdownList);
$('#btnTipoEstudio').blur({elem: 'TipoEstudio', index: 0},blurDropdownList);
$('#ddlTipoEstudio ul li').mousedown({index: 0},mousedownDropdownList);
$('#ddlTipoEstudio ul li').mouseup({elem: 'TipoEstudio', index: 0},mouseupDropdownList);
$('#ddlTipoEstudio ul li').click(function(){
    $(this).parent().parent().data('id',$(this).data('id'));
    $(this).parent().siblings('button').children('label').text($(this).text());
    $(this).siblings('.active').removeClass('active');
    $(this).addClass('active');
    $(this).parent().parent().removeClass('show');
    muestraDatosEstudio(parseInt($(this).data('id')), $(this).text(), $(this).data('dato'));
    $('.estudio').show();
    $('.institucion').show();
    $('.estatus').show();    
    $('#ddlEstatus').find('li').removeClass('active');
    $('#ddlEstatus').data('id','0');
    $('.periodo').hide();
    $('.cedula').hide();
});
function muestraDatosEstudio(id, texto, dato){
    if (id < 3){
        $('[data-info="informal"').show();
        $('[data-info="formal"').hide();
    }
    else{
        $('[data-info="formal"').show();
        $('[data-info="informal"').hide();
    }
    $('#titEstudio').text(texto);
    if (dato == 1) {
        $('#inputEstudio').attr('placeholder','Escribe el nombre de la ' + texto.toLowerCase());
        $('#ddlEstatus').find('label').text('Escribe el estatus de la ' + texto.toLowerCase());
    } else {
        $('#inputEstudio').attr('placeholder','Escribe el nombre del ' + texto.toLowerCase());
        $('#ddlEstatus').find('label').text('Escribe el estatus del ' + texto.toLowerCase());
    }
}
$('#btnEstatus').click({elem: 'Estatus'},clickDropdownList);
$('#btnEstatus').blur({elem: 'Estatus', index: 1},blurDropdownList);
$('#ddlEstatus ul li').mousedown({index: 1},mousedownDropdownList);
$('#ddlEstatus ul li').mouseup({elem: 'Estatus', index: 1},mouseupDropdownList);
$('#ddlEstatus ul li').click(function(){
    $(this).parent().parent().data('id',$(this).data('id'));
    $(this).parent().siblings('button').children('label').text($(this).text());
    $(this).siblings('.active').removeClass('active');
    $(this).addClass('active');
    $(this).parent().parent().removeClass('show');
    $('#inputFechaInicio').show();
    muestraDatosEstatus(parseInt($(this).data('id')));
});
function muestraDatosEstatus(id){
    $('.alert').hide();
    switch (id){
        case 1:
            $('.endDate').hide();
            $('.month-year-input').removeClass('inputAjustado');
            $('#titPeriodo').text('Fecha Inicio');
            $('#inputFechaFin').val('');
            $('#inputCedula').val('');
            $('.cedula').hide();
            break;
        case 2:
            $('.endDate').show();
            $('.month-year-input').addClass('inputAjustado');
            $('#titPeriodo').html('Periodo');
            $('.cedula').hide();
            break;
        case 3:
        case 4:
            $('.endDate').show();
            $('.month-year-input').addClass('inputAjustado');
            $('#titPeriodo').text('Periodo');
            $('.cedula').show();
            break;
    }
}

/******************** DLIDIOMAS *************************/
$('#dlIdioma ul li').mousedown({index: 0},mousedownDataList);
$('#dlIdioma ul li').mouseup({elem: 'Idioma', index: 0},mouseupDataList);
$('#inputIdioma').click({elem: 'Idioma'},clickDataList);
$('#inputIdioma').blur({elem: 'Idioma', index: 0},blurDataList);
$('#inputIdioma').keyup({elem: 'Idioma'},inputKeyUp);
$('#iconIdioma').mousedown({index: 0},mousedownDataList);
$('#iconIdioma').mouseup({elem: 'Idioma', index: 0},mouseupDataList);
$('#iconIdioma').click({elem: 'Idioma'},limpiaInputDL);
$('#dlIdioma ul li').click(function() {                
    $(this).parent('ul').siblings('span').removeClass('ing-cancelar iconoAzul pointer');
    $(this).parent('ul').hide();
    $('#inputIdioma').val($(this).text());
});